• Login
  • Register

DNN Forums

A community discussion page. We're starting from scratch, so...let's get the party started!

upgrade from DNN9.2.2 to 9.8.0,after publish, getting DotNetNuke.Services.Personalization.Personalization.GetUserMode() method not found

You are not authorized to post a reply.
Sort:


New Member


Posts:2
New Member

    [FATAL] DotNetNuke.Framework.PageBase - An error has occurred while loading page.
    System.MissingMethodException: Method not found: 'Mode DotNetNuke.Services.Personalization.Personalization.GetUserMode()'.
       at DotNetNuke.Modules.Html.HtmlModule.OnLoad(EventArgs e)
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Control.LoadRecursive()
       at System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint)



    Veteran Member


    Posts:840
    Veteran Member

      Between 9.2.2 and 9.8.0 quite a number of previously deprecated APIs were removed from DNN. The changes are detailed in the release notes for intermediate releases.

      Additionally, the suggested upgrade path (https://dnndocs.com/content/getting-started/setup/upgrades/suggested-upgrade-path/index.html) includes a stop at 9.3.2 before going to 9.8.0.

      The major effect of the API removal is that any modules that used the deprecated APIs need to be upgraded to eliminate errors.

      So ... you should revert to 9.2.2, upgrade to 9.3.2, upgrade your modules to make sure that all are compatible with 9.8.0, and then do that upgrade.
      Joe Craig
      DNN MVP
      Patapsco Research Group


      New Member


      Posts:2
      New Member

        Still getting same error after upgrade to 9.8.0 with published code.
        [ERROR] DotNetNuke.Services.Exceptions.Exceptions - DotNetNuke.Services.Exceptions.PageLoadException: Unhandled error loading page. ---> System.InvalidOperationException: No service for type 'DotNetNuke.UI.Modules.IModuleControlPipeline' has been registered


        Veteran Member


        Posts:840
        Veteran Member

          What do you mean by "published code"?

          Have you vierified that you've upgraded to modules that work with 9.8.1?
          Joe Craig
          DNN MVP
          Patapsco Research Group
          You are not authorized to post a reply.

          These Forums are dedicated to discussion of DNN Platform.

          For the benefit of the community and to protect the integrity of the ecosystem, please observe the following posting guidelines:

          1. No Advertising. This includes promotion of commercial and non-commercial products or services which are not directly related to DNN.
          2. No vendor trolling / poaching. If someone posts about a vendor issue, allow the vendor or other customers to respond. Any post that looks like trolling / poaching will be removed.
          3. Discussion or promotion of DNN Platform product releases under a different brand name are strictly prohibited.
          4. No Flaming or Trolling.
          5. No Profanity, Racism, or Prejudice.
          6. Site Moderators have the final word on approving / removing a thread or post or comment.
          7. English language posting only, please.

          Would you like to help us?

          Awesome! Simply post in the forums using the link below and we'll get you started.

          Get Involved